#
# spec file for package DBMix (Version 0.9.7_2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86 xmms
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xmms xshared

Name:         DBMix
Copyright:    GPL
Group:        Applications/Sound
#Requires:     xforms
Autoreqprov:  on
Version:      0.9.7_2
Release:      168
Summary:      Digital Audio Mixing System
Source: DBMix-0.9.7-2.tar.bz2
Patch: DBMix-0.9.7-2.dif

%description
DBMix is a software DJ mixing system for digital audio. DBMix allows a user
to output multiple simultaneous audio streams on a single sound device, and
to transform/modify each stream independently.

Authors:
--------
    Robert Michael S Dean <BobDean@users.sourceforge.net>
    Simon Werner <rgbe@yahoo.com>
    Owen Williams <ywwg@usa.net>
    Martin Herrman <m.herrman@student.tue.nl>
    Park3r <parker@best.tuke.sk>

SuSE series: snd

%prep
%setup -n DBMix-0.9.7-2
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CC="gcc $RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --enable-exmixer
cd dbaudiolib
make
make install
cd ..
make

%install
make install

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README Readme.*
/usr/X11R6/bin/dbcat
/usr/X11R6/bin/dbfsd
/usr/X11R6/bin/dbin
/usr/X11R6/bin/dbmixer
/usr/X11R6/bin/dbmsg_test
/usr/X11R6/lib/libdbaudiolib.a
/usr/X11R6/lib/libdbaudiolib.la
/usr/X11R6/lib/libdbaudiolib.so
/usr/X11R6/lib/libdbaudiolib.so.0
/usr/X11R6/lib/libdbaudiolib.so.0.1.1
/usr/X11R6/lib/xmms/Output/libdbmix.a
/usr/X11R6/lib/xmms/Output/libdbmix.la
/usr/X11R6/lib/xmms/Output/libdbmix.so

%changelog -n DBMix
* Wed Aug 01 2001 - uli@suse.de
- fixed segfault on exit of xmms plugin when no daemon is running
* Sun Apr 15 2001 - schwab@suse.de
- Fix invalid casts.
- Fix invalid escape sequence.
* Thu Mar 29 2001 - uli@suse.de
- initial package
